> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Article

> get article by tweet id. cost 100 credit per article



## OpenAPI

````yaml GET /twitter/article
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/article:
    get:
      description: get article by tweet id. cost 100 credit per article
      parameters:
        - name: tweet_id
          in: query
          description: The tweet id of the article.eg. 1905545699552375179
          required: true
          schema:
            type: string
            format: string
      responses:
        '200':
          description: Article response
          content:
            application/json:
              schema:
                type: object
                properties:
                  article:
                    type: object
                    properties:
                      author:
                        $ref: '#/components/schemas/UserInfo'
                        description: The user who posted the tweet
                      replyCount:
                        type: integer
                        description: The number of replies to the tweet
                      likeCount:
                        type: integer
                        description: The number of retweets of the tweet
                      quoteCount:
                        type: integer
                        description: The number of quotes of the tweet
                      viewCount:
                        type: integer
                        description: The number of views of the tweet
                      createdAt:
                        type: string
                        description: >-
                          The time when the tweet was posted.eg.Fri Mar 28
                          09:01:12 +0000 2025
                      title:
                        type: string
                        description: The title of the article
                      preview_text:
                        type: string
                        description: The preview text of the article.eg.
                      cover_media_img_url:
                        type: string
                        description: >-
                          The url of the cover media
                          image.eg.https://pbs.twimg.com/media/GnHXrznXUAEs-v5.jpg
                      contents:
                        type: array
                        description: Article content blocks
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              description: Block type
                              enum:
                                - unstyled
                                - header-one
                                - header-two
                                - header-three
                                - unordered-list-item
                                - ordered-list-item
                                - image
                                - gif
                                - markdown
                                - divider
                            text:
                              type: string
                              description: >-
                                Text content (for unstyled / header / list-item
                                / markdown blocks)
                            url:
                              type: string
                              description: >-
                                Media URL (for image: original image URL; for
                                gif: mp4 video URL)
                            previewUrl:
                              type: string
                              description: Preview thumbnail URL (gif only)
                            width:
                              type: integer
                              description: Original image width in pixels (image only)
                            height:
                              type: integer
                              description: Original image height in pixels (image only)
                            inlineStyleRanges:
                              type: array
                              description: >-
                                Inline style ranges for bold/italic etc.
                                (optional, text blocks only)
                              items:
                                type: object
                                properties:
                                  offset:
                                    type: integer
                                  length:
                                    type: integer
                                  style:
                                    type: string
                                    example: Bold
                          required:
                            - type
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - failed
                  message:
                    type: string
                    description: Message of the request.error message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UserInfo:
      type: object
      properties:
        type:
          type: string
          enum:
            - user
        userName:
          type: string
          description: The username of the Twitter user
        url:
          type: string
          description: The x.com URL of the user's profile
        id:
          type: string
          description: The unique identifier of the user
        name:
          type: string
          description: The display name of the user
        isBlueVerified:
          type: boolean
          description: Whether the user has Twitter Blue verification
        verifiedType:
          type: string
          description: The type of verification. eg. "government" ,can be empty
        profilePicture:
          type: string
          description: URL of the user's profile picture
        coverPicture:
          type: string
          description: URL of the user's cover picture
        description:
          type: string
          description: The user's profile description
        location:
          type: string
          description: 'The user''s location.for example: 東京の端っこ . may be empty'
        followers:
          type: integer
          description: Number of followers
        following:
          type: integer
          description: Number of accounts following
        canDm:
          type: boolean
          description: Whether the user can receive DMs
        createdAt:
          type: string
          description: >-
            When the account was created.for example: Thu Dec 13 08:41:26 +0000
            2007
        favouritesCount:
          type: integer
          description: Number of favorites
        hasCustomTimelines:
          type: boolean
          description: Whether the user has custom timelines
        isTranslator:
          type: boolean
          description: Whether the user is a translator
        mediaCount:
          type: integer
          description: Number of media posts
        statusesCount:
          type: integer
          description: Number of status updates
        withheldInCountries:
          type: array
          items:
            type: string
          description: Countries where the account is withheld
        affiliatesHighlightedLabel:
          type: object
        possiblySensitive:
          type: boolean
          description: Whether the account may contain sensitive content
        pinnedTweetIds:
          type: array
          items:
            type: string
          description: IDs of pinned tweets
        isAutomated:
          type: boolean
          description: Whether the account is automated
        automatedBy:
          type: string
          description: The account that automated the account
        unavailable:
          type: boolean
          description: Whether the account is unavailable
        message:
          type: string
          description: >-
            The message of the account.eg. "This account is unavailable" or
            "This account is suspended"
        unavailableReason:
          type: string
          description: 'The reason the account is unavailable.eg. "suspended" '
        profile_bio:
          type: object
          properties:
            description:
              type: string
            entities:
              type: object
              properties:
                description:
                  type: object
                  properties:
                    urls:
                      type: array
                      items:
                        type: object
                        properties:
                          display_url:
                            type: string
                          expanded_url:
                            type: string
                          indices:
                            type: array
                            items:
                              type: integer
                          url:
                            type: string
                url:
                  type: object
                  properties:
                    urls:
                      type: array
                      items:
                        type: object
                        properties:
                          display_url:
                            type: string
                          expanded_url:
                            type: string
                          indices:
                            type: array
                            items:
                              type: integer
                          url:
                            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````